Bug 801311 - Designer removes sequence flow together with connected nodes
Designer removes sequence flow together with connected nodes
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: BRMS 5.3.0.GA
Assigned To: Kris Verlaenen
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 04:29 EST by Tomas Schlosser
Modified: 2012-05-09 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2012-03-08 04:29:09 EST
Description of problem:
When sequence flow between two nodes is deleted the nodes connected to it are deleted as well.

Version-Release number of selected component (if applicable):
BRMS-5.3.0-ER4

How reproducible:
every time

Steps to Reproduce:
1. create a simple process with sequence flow between two nodes
2. remove the sequence flow
  
Actual results:
sequence flow is deleted together with the nodes connected to it

Expected results:
sequence flow is deleted and nodes connected to it are kept

Additional info:
Comment 1 Tihomir Surdilovic 2012-03-12 12:38:12 EDT
I am unable to reproduce this issue locally. Could you provide a specific BPMN2 file and tell me what sequence flow to delete to be able to reproduce? Could you also re-test with latest wars on people.redhat.com/designer/master?

Thanks.
Comment 2 Tihomir Surdilovic 2012-03-12 12:39:38 EDT
What we added is smart deletion of nodes - if you delete a node, designer is going to also delete its incoming and outgoing sequence flows (those that do not specify a script expression). Deleting a sequence flow however should not delete any connecting nodes.
Comment 3 Ryan Zhang 2012-03-21 06:07:11 EDT
Please verify this issue on ER5.

Thanks!
Comment 4 Tomas Schlosser 2012-03-28 02:26:33 EDT
The designer included in BRMS-5.3.0-ER5 fixes this issue.

Note You need to log in before you can comment on or make changes to this bug.